List Codexgate Proposals
GET
/v1/admin/codexgate/proposals
const url = 'https://example.com/v1/admin/codexgate/proposals?limit=50&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/admin/codexgate/proposals?limit=50&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CodexGateProposalListOut
object
items
Items
Array<object>
CodexGateImprovementProposalOutobject
proposal_id
required
Proposal Id
string
proposal_key
required
Proposal Key
string
title
required
Title
string
status
required
Status
string
signal_key
Signal Key
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
promotion_decision
Promotion Decision
string
evidence_url
Evidence Url
string
graph_snapshot_url
Graph Snapshot Url
string
total
Total
integer
Example
{ "items": [ { "signal_key": "", "github_ref": "", "merge_sha": "", "promotion_decision": "promote", "evidence_url": "", "graph_snapshot_url": "" } ], "total": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}